## bcfg2-1.3.6.tar.gz

=== osx/Makefile ===
PYVERSION := $(shell /usr/bin/python -c "import sys; print '%s.%s' % (sys.version_info[0], sys.version_info[1])")
PYMAJORVERSION := $(shell /usr/bin/python -c "import sys; print sys.version_info[0]")
PYMINORVERSION := $(shell /usr/bin/python -c "import sys; print sys.version_info[1]")
PREFLIGHT = preflight
POSTFLIGHT = postflight
PKGROOT = bcfg2pkg
PKGTMP = bcfg2tmp
FILTERS = --filter Hostbase \
--filter Reports \
--filter Server \
--filter xsd \
--filter xsl \
--filter bcfg2-admin \
--filter bcfg2-build-reports \
--filter bcfg2-info \
--filter bcfg2-ping-sweep \
--filter bcfg2-lint \
--filter bcfg2-reports \
--filter bcfg2-server

CONF = bcfg2.conf
DATADIR = /Library/Frameworks/Python.framework/Versions/Current
LAUNCHD = gov.anl.mcs.bcfg2-daily.plist
PACKAGEMAKER = /Developer/usr/bin/packagemaker
PROTO_PLIST = PackageInfo.plist
SITELIBDIR = /Library/Python/${PYVERSION}/site-packages

# Symlinks cannot be specified on the command line, therefore, we create
# an Info.plist file for packagemaker to look at for package creation
# and substitute the version strings. Major/Minor versions can only be
# integers (e.g. "1" and "00" for bcfg2 version 1.0.0.
BCFGVER = 1.3.6
MAJOR = 1
MINOR = 36

default: clean client

install:
	echo "Installing Bcfg2 to ${PKGROOT}"
	mkdir -p ${PKGROOT}
	cd ../ && /usr/bin/python setup.py install \
	       --root="osx/${PKGROOT}" \
	       --install-lib="${SITELIBDIR}" \
	       --install-data="${DATADIR}"

prepare: install
	mkdir -p ${PKGTMP}
	cp ${PROTO_PLIST} ${PKGTMP}
	sed -i '' "s/{SHORTVERSION}/${BCFGVER}/g" "${PKGTMP}/${PROTO_PLIST}"
	sed -i '' "s/{MAJORVERSION}/${MAJOR}/g" "${PKGTMP}/${PROTO_PLIST}"
	sed -i '' "s/{MINORVERSION}/${MINOR}/g" "${PKGTMP}/${PROTO_PLIST}"

	# create a preflight script to remove traces of previous
	# bcfg2 installs due to limitations in Apple's pkg format
	mkdir -p "${PKGTMP}/scripts"
	cp "${PREFLIGHT}" "${PKGTMP}/scripts"
	cp "${POSTFLIGHT}" "${PKGTMP}/scripts"

	# substitute in the {sitelib,data}dir specified above on the assumption that
	# this is where any previous bcfg2 install exists that should be cleaned out.
	sed -i '' "s|{SITELIBDIR}|${SITELIBDIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{SITELIBDIR}|${SITELIBDIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	sed -i '' "s|{DATADIR}|${DATADIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{DATADIR}|${DATADIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	# substitute in the bindir specified on the assumption that this is where
	# any old executables that have moved from bindir->sbindir should be
	# cleaned out from.
	sed -i '' "s|{BINDIR}|${BINDIR}|g" "${PKGTMP}/scripts/${PREFLIGHT}"
	sed -i '' "s|{BINDIR}|${BINDIR}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	sed -i '' "s|{LAUNCHD}|${LAUNCHD}|g" "${PKGTMP}/scripts/${POSTFLIGHT}"
	# {pre,post}flight scripts must be 770 to execute
	chmod 0770 "${PKGTMP}/scripts/${PREFLIGHT}"
	chmod 0770 "${PKGTMP}/scripts/${POSTFLIGHT}"

	# add in M2Crypto if python version is less than 2.6
	if [[ ${PYMAJORVERSION} == 2 ]]; then if [[ ${PYMINORVERSION} -lt 6 ]]; then cp "M2Crypto-0.20.2-py2.5-macosx-10.5-ppc.egg" "${PKGROOT}/${SITELIBDIR}" && cp "easy-install.pth" "${PKGROOT}/${SITELIBDIR}"; fi ;  fi
	# add default bcfg2.conf
	mkdir -p "${PKGROOT}/etc"
	cp "${CONF}" "${PKGROOT}/etc/${CONF}"

	# add default launchd cron job
	mkdir -p "${PKGROOT}/Library/LaunchDaemons"
	cp "${LAUNCHD}" "${PKGROOT}/Library/LaunchDaemons/${LAUNCHD}"

client: prepare
	rm -rf `pwd`/bcfg2-${BCFGVER}.pkg
	echo "Building package"
	echo "Note that packagemaker is reknowned for spurious errors. Don't panic."
	"${PACKAGEMAKER}" --root "${PKGROOT}" \
			  --info "${PKGTMP}/${PROTO_PLIST}" \
			  --scripts "${PKGTMP}/scripts" \
			  ${FILTERS} \
			  --verbose \
			  --title "bcfg2" \
			  --out `pwd`/bcfg2-${BCFGVER}.pkg

server: prepare
	rm -rf `pwd`/bcfg2-${BCFGVER}.pkg
	echo "Building package"
	echo "Note that packagemaker is reknowned for spurious errors. Don't panic."
	"${PACKAGEMAKER}" --root "${PKGROOT}" \
			  --info "${PKGTMP}/${PROTO_PLIST}" \
			  --scripts "${PKGTMP}/scripts" \
			  --verbose \
			  --title "bcfg2" \
			  --out `pwd`/bcfg2-${BCFGVER}.pkg

clean:
	rm -rf bcfg2tmp bcfg2pkg

=== solaris-ips/Makefile ===
#!/usr/bin/gmake

VERS=1.3.6-1
PYVERSION := $(shell python -c "import sys; print sys.version[0:3]")

default: clean package

package:
	-mkdir  tmp tmp/bcfg2-server tmp/bcfg2
	-mkdir -p build/lib/$(PYVERSION)/site-packages
	-cd ../ && PYTHONPATH=$(PYTHONPATH):$(PWD)/build/lib/python2.6/site-packages/ python setup.py install --single-version-externally-managed --record=/dev/null --prefix=$(PWD)/build/usr
	#setuptools appears to use a restictive umask
	-chmod -R o+r build/
	-chmod +x build/usr/bin/bcfg2
	-sh ./gen-manifests.sh

clean:
	-rm -rf tmp build
	-rm -rf MANIFEST.bcfg2
	-rm -rf MANIFEST.bcfg2-server

=== solaris/Makefile ===
#!/usr/sfw/bin/gmake

PYTHON="/usr/local/bin/python"
VERS=1.3.6-1
export PYVERSION := $(shell $(PYTHON) -c "import sys; print sys.version[0:3]")

default: clean package

package:
	-mkdir  tmp tmp/bcfg2-server tmp/bcfg2
	-mkdir -p build/lib/$(PYVERSION)/site-packages
	-cd ../ && PYTHONPATH=$(PYTHONPATH):$(PWD)/build/lib/python$(PYVERSION)/site-packages/ $(PYTHON) setup.py install --single-version-externally-managed --record=/dev/null --prefix=$(PWD)/build
	#setuptools appears to use a restictive umask
	-chmod -R o+r build/
	-cat build/bin/bcfg2 | sed -e 's!/usr/bin/python!$(PYTHON)!' > build/bin/bcfg2.new && mv build/bin/bcfg2.new build/bin/bcfg2
	-chmod +x build/bin/bcfg2
	-sh ./gen-prototypes.sh
	-pkgmk -o -a `uname -m` -f prototype.bcfg2 -d $(PWD)/tmp -r $(PWD)/build
	-pkgmk -o -a `uname -m` -f prototype.bcfg2-server -d $(PWD)/tmp -r $(PWD)/build
	-pkgtrans -o -s $(PWD)/tmp $(PWD)/bcfg2-$(VERS) SCbcfg2
	-pkgtrans -o -s $(PWD)/tmp $(PWD)/bcfg2-server-$(VERS) SCbcfg2-server
	-gzip -f $(PWD)/bcfg2-$(VERS)
	-gzip -f $(PWD)/bcfg2-server-$(VERS)

clean:
	-rm -rf tmp build
	-rm -rf bcfg2-$(VERS).gz bcfg2-server-$(VERS).gz
	-rm -rf prototype.bcfg2.fixed prototype.bcfg2-server.fixed
	-rm -f prototype.*

=== testsuite/requirements.txt ===
lxml
nose
mock
sphinx
pylint<0.29
pep8
python-daemon<2.0.0

=== debian/changelog ===
bcfg2 (1.3.6-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Thu, 11 Jun 2015 15:30:04 -0500

bcfg2 (1.3.5-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 05 Sep 2014 07:54:48 -0500

bcfg2 (1.3.4-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Tue, 25 Feb 2014 13:25:16 -0600

bcfg2 (1.3.3-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Thu, 07 Nov 2013 08:09:57 -0600

bcfg2 (1.3.2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Mon, 01 Jul 2013 16:24:46 -0500

bcfg2 (1.3.1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Thu, 21 Mar 2013 09:32:16 -0500

bcfg2 (1.3.0-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 15 Mar 2013 08:45:18 -0500

bcfg2 (1.3.0rc2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Tue, 29 Jan 2013 10:43:55 -0600

bcfg2 (1.3.0rc1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Wed, 09 Jan 2013 10:48:22 -0600

bcfg2 (1.3.0pre2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Tue, 30 Oct 2012 17:19:01 -0500

bcfg2 (1.3.0pre1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 31 Aug 2012 13:16:05 -0500

bcfg2 (1.2.3-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Tue, 03 Jul 2012 09:33:50 -0500

bcfg2 (1.2.2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Sat, 17 Mar 2012 14:41:17 -0500

bcfg2 (1.2.1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 27 Jan 2012 13:55:45 -0600

bcfg2 (1.2.0-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Wed, 07 Dec 2011 20:22:57 -0600

bcfg2 (1.2.0rc2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 28 Oct 2011 14:30:45 -0500

bcfg2 (1.2.0rc1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Thu, 01 Sep 2011 20:59:16 -0500

bcfg2 (1.2.0pre3-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Sat, 18 Jun 2011 22:41:29 -0500

bcfg2 (1.2.0-0.0pre2) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Mon, 25 Apr 2011 11:21:13 -0500

bcfg2 (1.2.0-0.0pre1) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Sun, 23 Jan 2011 16:33:00 -0600

bcfg2 (1.1.0-0.0) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Sun, 26 Sep 2010 20:56:09 -0500

bcfg2 (1.1.0-0.0rc5) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Tue, 14 Sep 2010 10:53:22 -0500 

bcfg2 (1.1.0-0.0rc4) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Mon, 19 Jul 2010 14:46:00 -0500

bcfg2 (1.1.0-0.0rc3) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 17 Jun 2010 11:22:34 -0500 

bcfg2 (1.1.0-0.0rc2) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Wed, 09 Jun 2010 12:42:54 -0500

bcfg2 (1.1.0-0.1rc1) unstable; urgency=low

  * release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Tue, 27 Apr 2010 11:17:26 -0600

bcfg2 (1.0.1-1) unstable; urgency=low

  * Remove unnecessary python-lxml dependency (for the client package)
  * Remove duplicate Recommends items

 -- Sol Jerome <solj@ices.utexas.edu>  Thu, 08 Apr 2010 08:31:45 -0600

bcfg2 (1.0.0-6) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5630

 -- Daniel Clark <dclark@pobox.com>  Sun, 23 Dec 2009 02:13:44 -0500

bcfg2 (1.0.0-4) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5621

 -- Daniel Clark <dclark@pobox.com>  Sun, 15 Dec 2009 06:12:33 -0500

bcfg2 (1.0.0-2) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5619

 -- Daniel Clark <dclark@pobox.com>  Sun, 11 Dec 2009 15:59:33 -0500

bcfg2 (1.0.0-1) unstable; urgency=low

  * final release

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 05 Nov 2009 17:40:46 -0600

bcfg2 (1.0.0~rc4-1) unstable; urgency=low

  * last release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 05 Nov 2009 16:10:39 -0600

bcfg2 (1.0.0~rc3-1) unstable; urgency=low

  [ Narayan Desai ]
  * new release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 04 Nov 2009 23:47:56 -0600

bcfg2 (1.0.0~rc2-1) unstable; urgency=low

  [ Narayan Desai ]
  * new release candidate

  [ Sami Haahtinen ]
  * Update packaging
  * Switch to plain debhelper
  * Switch from pycentral to python-support
  * Move homepage to the dedicated Homepage field
  * Update Standards-Version to 3.8.3.0
  * Add python-m2crypto as dependency
  * bcfg2-server needs python2.4+

 -- Sami Haahtinen <ressu@debian.org>  Sat, 24 Oct 2009 00:20:51 +0300

bcfg2 (1.0.0rc1-0.1) unstable; urgency=low

  * first release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Sun, 25 Oct 2009 21:40:44 -0500

bcfg2 (1.0pre5-0.2) unstable; urgency=low

  * version bump to 1.0pre5

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 23 Jul 2009 10:54:06 -0500

bcfg2 (1.0pre4-0.2) unstable; urgency=low

  * Remove python-cheetah dependency

 -- Sol Jerome <solj@ices.utexas.edu>  Wed, 15 Jun 2009 14:30:25 -0500

bcfg2 (1.0pre4-0.1) unstable; urgency=low

  * new prerelease

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 24 Jun 2009 20:58:52 -0500

bcfg2 (1.0pre3-0.1) unstable; urgency=low

  * new prerelease

 -- Narayan Desai <desai@mcs.anl.gov>  Fri, 22 May 2009 12:37:13 -0500



=== osx/macports/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0
PortGroup           python26 1.0

name                bcfg2
version             1.3.6
categories          sysutils python
maintainers         gmail.com:sol.jerome
license             BSD
supported_archs     noarch

description         Bcfg2 configuration management system
long_description    Bcfg2 helps system administrators deploy complex \
                    changes across large numbers of systems in a \
                    coherent and transparent fashion.

homepage            http://www.bcfg2.org/
platforms           darwin
master_sites        ftp://ftp.mcs.anl.gov/pub/bcfg

checksums           rmd160  db89ee0b8975bf50ad68bfac122e50253ded1906 \
                    sha256  138d792423475ae6516a95578a3df191504afaff31007877c7c2b36830d1a260

patchfiles          patch-setup.py.diff

post-destroot {
    ln -s ${python.prefix}/bin/bcfg2 ${destroot}${prefix}/bin/bcfg2

    set pyman ${python.prefix}/share/man/
    set manroot ${destroot}${prefix}/share/man/

    xinstall -d ${manroot}/man5
    xinstall -d ${manroot}/man1
    ln -s ${pyman}man5/bcfg2.conf.5 ${manroot}/man5/
    ln -s ${pyman}/man1/bcfg2.1 ${manroot}/man1/
}
